# trgt_png.cpp File Reference

png_trgt Target Module More...

`#include "trgt_png.h"`
`#include <png.h>`
`#include <ETL/stringf>`
`#include <cstdio>`
`#include <algorithm>`
`#include <functional>`
`#include <ETL/misc>`

## Defines

#define | SYNFIG_TARGET

## Functions

| SYNFIG_TARGET_INIT (png_trgt)
| SYNFIG_TARGET_SET_NAME (png_trgt,"png")
| SYNFIG_TARGET_SET_EXT (png_trgt,"png")
| SYNFIG_TARGET_SET_VERSION (png_trgt,"0.1")
| SYNFIG_TARGET_SET_CVS_ID (png_trgt,"$Id$")

## Detailed Description

png_trgt Target Module

$Id$

=== N O T E S ===========================================================

=========================================================================

## Define Documentation

#define SYNFIG_TARGET

## Function Documentation

SYNFIG_TARGET_INIT | ( | png_trgt |  | ) |

SYNFIG_TARGET_SET_NAME | ( | png_trgt | ,
|  | "png" |  |
| ) |  |  |

SYNFIG_TARGET_SET_EXT | ( | png_trgt | ,
|  | "png" |  |
| ) |  |  |

SYNFIG_TARGET_SET_VERSION | ( | png_trgt | ,
|  | "0.1" |  |
| ) |  |  |

SYNFIG_TARGET_SET_CVS_ID | ( | png_trgt | ,
|  | "$Id$" |  |
| ) |  |  |